TrackerStorage
3
LIBTRACKER-MINER Library

# TrackerStorage

## Synopsis

                        TrackerStorage;
                        TrackerStorageClass;
    TrackerStorage *    tracker_storage_new                 (void);
    const gchar *       tracker_storage_get_mount_point_for_uuid
                                                            (TrackerStorage *storage,
                                                             const gchar *uuid);
    const gchar*        tracker_storage_get_uuid_for_file   (TrackerStorage *storage,
                                                             GFile *file);

## Description

## Details

### TrackerStorage

    typedef struct {
    	GObject parent;
    } TrackerStorage;

### TrackerStorageClass

    typedef struct {
    	GObjectClass parent_class;
    } TrackerStorageClass;

### tracker_storage_new ()

    TrackerStorage *    tracker_storage_new                 (void);

Creates a new instance of TrackerStorage.

Returns :

  The newly created TrackerStorage.

### tracker_storage_get_mount_point_for_uuid ()

    const gchar *       tracker_storage_get_mount_point_for_uuid
                                                            (TrackerStorage *storage,
                                                             const gchar *uuid);

`storage` :

  A TrackerStorage

`uuid` :

  A string pointer to the UUID for the `GVolume`.

Returns :

  The mount point for `uuid`, this should not be freed.

### tracker_storage_get_uuid_for_file ()

    const gchar*        tracker_storage_get_uuid_for_file   (TrackerStorage *storage,
                                                             GFile *file);

Returns the UUID of the removable device for `file`

`storage` :

  A TrackerStorage

`file` :

  a file

Returns :

  Returns the UUID of the removable device for `file`, this should not be freed.